---
lang: en
title: 'API docs: rest.getcontenttype'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.getcontenttype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [getContentType](./rest.getcontenttype.md)

## getContentType() function

Get the content-type header value from the request

**Signature:**

```typescript
export declare function getContentType(req: Request): string | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  req | Request | Http request |

**Returns:**

string \| undefined


